var i,n,m,k,t:integer;
begin
      reset(input,'nuts.in');
      read(t);
      for i:=1 to t do
      begin
      readln;
      read(n,m,k);
      if n*m>=k then
      writeln('YES')
      else
      writeln('NO');
      end;
end.
